<template>
  <div>
    <el-table :data="retData.Data" size="medium" :height="$getHeight(100)" border>
      <el-table-column prop="create_time" label="日期" ></el-table-column>
      <el-table-column prop="username" label="用户名" width="160px"></el-table-column>
      <el-table-column prop="package_name" label="套餐类型"></el-table-column>
      <el-table-column prop="money" label="支付金额"></el-table-column>
      <el-table-column prop="pay_type" label="支付类型"></el-table-column>
      <el-table-column prop="order_no" label="订单编号"></el-table-column>
      <el-table-column prop="ali_wx_no" label="支付宝/微信订单编号"></el-table-column>
    
    </el-table>
    <div class="block">
      <el-pagination
        v-if="retData.Data.length>0"
        @current-change="get"
        :page-size="50"
        :current-page.sync="searchModel.PageIndex"
        layout="total,prev, pager, next"
        :total="retData.TotalCount"
      ></el-pagination>
    </div>

  </div>
</template>
<script>
export default {
  name: "jinqiao",
  data() {
    return {
      retData:null,
      searchModel:{
        PageIndex: 1,
        username:'',
      }
    };
  },
  created () {
    this.$store.commit('setCurrentNav', '金桥>>订单管理')
    this.get()

  },
  methods: {
    
    search(){
      this.searchModel.PageIndex=1;
      this.get();
    },
    get() {
      this.$api.post(this.$api.phpURL + "jinqiao/index/get_order_list", this.searchModel).then(res => {
        this.retData = res;
      });
    },
  }
}
</script>
